PHP - La extensión PHP_ZIP no me deja ver páginas PHP

   
Vista:

La extensión PHP_ZIP no me deja ver páginas PHP

Publicado por Tomàs Cerdà (2 intervenciones) el 11/05/2013 10:49:50
Hola:
He instalado el paquete LAMPP para linux con PHP 5.4. Todo ha ido bien hasta hace poco.

Al instalar la plataforma Moodle necesito activar la extensión PHP_ZIP.
Para hacerlo voy al php.ini i descomento la línea de la extensión PHP_ZIP quitándole el ; del principio de la línea.

El problema es que cuando voy al navegador para mostrar cualquier página de PHP me sale el cuadro

"¿Qué debería hacer Firefox con este archivo?" Abrir Guardar etc.

Como si no fuera una página sino un archivo para bajar.

He probado con el navegador Chrome y hace lo mismo (aunque con otras respuestas de pantalla)

O sea esta extensión impide mostrar páginas php.

He mirado foros y cambiado configuraciones. No sé que más hacer.

¿Podriáis ayudarme?

Muchas gracias
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder
Imágen de perfil de xve

La extensión PHP_ZIP no me deja ver páginas PHP

Publicado por xve (5519 intervenciones) el 12/05/2013 10:46:37
Hola Tomás, el que Apache ejecute el código php o no lo entienda, son unas lineas en el Apache, en principio no debería de tener nada que ver con php... es como si le hubieras indicado a Apache, que ya no utiliza php, por lo cual, no sabe que hacer con el.

No utilizo LAMPP, pero nos puedes comentar sobre que sistema operativo lo tienes instalado? y que versión de Apache trae?
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

La extensión PHP_ZIP no me deja ver páginas PHP

Publicado por Tomàs Cerdà (2 intervenciones) el 14/05/2013 16:21:13
Hola:
Gracias por contestar. Opìno como vosotros. Sólo que no sé en dónde tocar para dárslo a conocer. Pero creo que sí tiene que ver con el PHP o con su configuración ya que si esta extensión no está descomentada en el PHP.ini las páginas de PHP se ven perfectamente.

Los datos que me pides son:

Versión de Linux: Ubuntu 12.04
Versión de XAMPP: 1.8.1
Versión de Apache: 2.4.3
Versión de PHP: 5.4.7

Hasta pronto y salud.

Tomàs
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar